## gtkrsync 1.0.4ubuntu2

=== docs/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'hg', TOPNODE = 'hg', DOINDEX = 1,
        HTMLARGS = '-s local', PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['gtkrsync']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

## gtkrsync 1.0.2

=== debian/changelog ===
gtkrsync (1.0.2) unstable; urgency=low

  * Added Build-Depends on process.  Patch from Mikhail Gusarov.
    (Closes: #470377)
  * Added Vcs-* links

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Mar 2008 08:42:45 -0500

gtkrsync (1.0.1) unstable; urgency=low

  * Now propogates rsync return value to caller.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 17 Jul 2007 14:54:01 -0500

gtkrsync (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #433358.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 Jul 2007 15:34:59 -0500

=== debian/control ===
Source: gtkrsync
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5), ghc6, libghc6-missingh-dev, libghc6-gtk-dev, libghc6-glade-dev, libghc6-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, libghc6-unix-dev
Standards-Version: 3.7.2
Vcs-Git: git://git.complete.org/gtkrsync
Vcs-Browser: http://git.complete.org/gtkrsync

Package: gtkrsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}, rsync
Description: GUI front-end to display rsync status
 gtkrsync is a simple GUI that displays a running status display
 built from rsync --progress -v.  This status display includes a
 per-file and overall status bar, overall estimated time to completion,
 and an expandable button that shows all rsync status output.
 .
 Unlike other GUI rsync frontends such as grsync, gtkrsync does not have
 any GUI tools for configuring or invoking rsync.  gtkrsync is designed
 to be invoked from the command line or shell scripts, which already
 specify all the needed rsync options.  It is thus ideal for scripted
 rsync runs that need a GUI, or for command-line users that would like a
 GUI to monitor their rsync progress.
 .
 This package provides two binaries.  gtkrsync is a drop-in replacement
 for rsync.  It fires up the GUI and invokes rsync, passing all args to
 it.  When invoked this way, gtkrsync is able to detect if rsync exits
 in error and alerts the user.  gtkrsync can also monitor both stdout
 and stderr from rsync, and displays both.  The cancel button in
 gtkrsync also will kill off the rsync process.
 .
 The other binary is gtkrsyncp.  This program accepts the output of
 rsync --progress -v on standard input and displays it in a GUI.  It
 cannot detect whether rsync exited in error and cannot kill rsync when
 Cancel is pressed.  However, this program may be useful in some cases
 when direct control of rsync is handled elsewhere.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DESTDIR=/usr
	cd docs && scons gtkrsync.1
	#docbook-to-man debian/gtkrsync.sgml > gtkrsync.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gtkrsync.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/gtkrsync install
	./setup copy --copy-prefix=`pwd`/debian/gtkrsync/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/gtkrsync.1
	dh_link usr/share/man/man1/gtkrsync.1.gz \
		usr/share/man/man1/gtkrsyncp.1.gz
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gtkrsync 1.0.4

=== debian/changelog ===
gtkrsync (1.0.4) unstable; urgency=low

  * New upstream release with updated documentation for rsync 3.0.
    Closes: #537255.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 11:05:25 -0600

## gtkrsync 1.0.4ubuntu1

=== debian/changelog ===
gtkrsync (1.0.4ubuntu1) maverick; urgency=low

  * Build depend on poppler-utils directly instead of xpdf-utils to fix 
    FTBFS (Closes: #591167 , LP: #622094)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 22 Aug 2010 11:06:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gtkrsync
 Section: utils
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), ghc6, libghc6-missingh-dev, libghc6-gtk-dev, libghc6-glade-dev, libghc6-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, libghc6-unix-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends: debhelper (>= 5), ghc6, libghc6-missingh-dev, libghc6-gtk-dev, libghc6-glade-dev, libghc6-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, poppler-utils, lynx, libghc6-unix-dev
 Standards-Version: 3.7.2
 Vcs-Git: git://git.complete.org/gtkrsync
 Vcs-Browser: http://git.complete.org/gtkrsync

## gtkrsync 1.0.4ubuntu2

=== debian/changelog ===
gtkrsync (1.0.4ubuntu2) oneiric; urgency=low

  * Update build-dependencies for GHC 7 (LP: #826236).
  * Use './setup copy --destdir=' rather than --copy-prefix=.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 14:40:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), ghc6, libghc6-missingh-dev, libghc6-gtk-dev, libghc6-glade-dev, libghc6-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, poppler-utils, lynx, libghc6-unix-dev
+Build-Depends: debhelper (>= 5), ghc, libghc-missingh-dev, libghc-gtk-dev, libghc-glade-dev, libghc-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, poppler-utils, lynx, libghc-unix-dev
 Standards-Version: 3.7.2
 Vcs-Git: git://git.complete.org/gtkrsync
 Vcs-Browser: http://git.complete.org/gtkrsync

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 	# Add here commands to install the package into debian/gtkrsync.
 	#$(MAKE) DESTDIR=$(CURDIR)/debian/gtkrsync install
-	./setup copy --copy-prefix=`pwd`/debian/gtkrsync/usr
+	./setup copy --destdir=`pwd`/debian/gtkrsync
 
 
 # Build architecture-independent files here.

## gtkrsync 1.0.4+nmu1

=== Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004-2006 John Goerzen
#

DESTDIR ?= /usr/local
all: setup			# GHC build
	./setup configure --prefix=$(DESTDIR)
	./setup build

install:
	./setup install
	@echo "Please manually install docs/gtkrsync.1"

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs
	ghc -package Cabal Setup.lhs -o setup

clean: clean-code clean-doc

clean-code:
	-./setup clean
	-cd libsrc && ../setup clean
	-rm -rf dist libsrc/dist *.ho *.hi *.o *.a setup *~
	-rm -f `find . -name "*~"` `find . -name "*.o"`
	-rm -f `find . -name "*.cm*"`

clean-doc:
	-cd doc && scons -c && scons -c html pdf text ps gtkrsync.1
	-rm -rf docs/.sconsign* .depend test
	-rm -f docs/manpage*

=== debian/changelog ===
gtkrsync (1.0.4+nmu1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/control: Update Build-Deps for GHC 7. (Closes: #629729).
  * debian/rules: Replace unrecognized option --copy-prefix with --destdir and
    pass the correct path.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Oct 2012 15:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gtkrsync
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), ghc, libghc-missingh-dev, libghc-gtk-dev, libghc-glade-dev, libghc-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, poppler-utils, lynx, libghc-unix-dev
+Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends: debhelper (>= 5), ghc, libghc-missingh-dev, libghc-gtk-dev, libghc-glade-dev, libghc-gconf-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, scons, xpdf-utils, lynx, libghc-unix-dev
 Standards-Version: 3.7.2
 Vcs-Git: git://git.complete.org/gtkrsync
 Vcs-Browser: http://git.complete.org/gtkrsync
